# $Revision: 1.3 $, $Date: 2002/08/10 10:31:10 $
#
# TODO:
# - add desktop file.
#
Summary:	Application to quickly and easily change video resolutions in X
Summary(pl):	Aplikacja do szybkiej i atwej zmiany rozdzielczoci pod X
Name:		gvidm
Version:	0.3.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.azstarnet.com/~donut/programs/gvidm/%{name}-%{version}.tar.gz
URL:		http://www.azstarnet.com/~donut/programs/gvidm.html
BuildRequires:	autoconf
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
gvidm is a gtk app to quickly and easily change video resolutions in
X. Running it will pop up a list of available modes, upon choosing a
mode or cancelling, it exits. This makes it perfect for running from
an application menu or a hotkey, so you don't have to use ram for an
applet constantly running. If you are running dual or multi-head
displays, it will give you a list of screens so you can select the
appropriate one. gvidm is based on gvid (similar GNOME application).

%description -l pl
gvidm to aplikacja gtk do szybkiej i atwej zmiany rozdzielczoci pod
X. Po uruchomieniu wywietla list dostpnych trybw, a po wybraniu
ktrego lub rezygnacji koczy prac. Dziki temu moe by atwo
uruchamiany z menu aplikacji lub klawiszem skrtu i nie zajmuje przy
tym pamici. W przypadku pracy z wieloma monitorami pozwala wybra
ten, ktrego ma dotyczy zmiana. gvidm bazuje na programie gvid
(sucym do tego samego celu, ale bdcym aplikacj GNOME).

%prep
%setup -q

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install gvidm $RPM_BUILD_ROOT%{_bindir}
install gvidm.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gvidm.spec,v $
Revision 1.3  2002/08/10 10:31:10  kloczek
- use new %doc,
TODO: add desktop file.

Revision 1.2  2002/05/21 23:13:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/14 22:17:53  qboosh
- new

